python3-qt5-5.12.1-lp150.130.1.x86_64.rpm


Advertisement

Description

python3-qt5 - Python bindings for Qt 5

Property Value
Distribution openSUSE Leap 15.0
Repository KDE 5 all
Package filename python3-qt5-5.12.1-lp150.130.1.x86_64.rpm
Package name python3-qt5
Package version 5.12.1
Package release lp150.130.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/Python
Homepage https://www.riverbankcomputing.com/software/pyqt
License SUSE-GPL-2.0-with-FLOSS-exception OR GPL-3.0-only OR NonFree
Maintainer -
Download size 3.57 MB
Installed size 23.71 MB
PyQt is a set of Python bindings for Trolltech's Qt application
framework. The qt4 and qt5 bindings can be co-installed.

Alternatives

Package Version Architecture Repository
python3-qt5-5.12.1-ku.134.1.x86_64.rpm 5.12.1 x86_64 KDE Unstable
python3-qt5-5.10.1-lp150.3.1.x86_64.rpm 5.10.1 x86_64 openSUSE Oss
python3-qt5 - - -

Requires

Name Value
libQt5Bluetooth.so.5()(64bit) -
libQt5Bluetooth.so.5(Qt_5)(64bit) -
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.12)(64bit) -
libQt5Core.so.5(Qt_5.12.3_PRIVATE_API)(64bit) -
libQt5DBus.so.5()(64bit) -
libQt5DBus.so.5(Qt_5)(64bit) -
libQt5Designer.so.5()(64bit) -
libQt5Designer.so.5(Qt_5)(64bit) -
libQt5Gui.so.5()(64bit) -
libQt5Gui.so.5(Qt_5)(64bit) -
libQt5Help.so.5()(64bit) -
libQt5Help.so.5(Qt_5)(64bit) -
libQt5Location.so.5()(64bit) -
libQt5Location.so.5(Qt_5)(64bit) -
libQt5Multimedia.so.5()(64bit) -
libQt5Multimedia.so.5(Qt_5)(64bit) -
libQt5MultimediaWidgets.so.5()(64bit) -
libQt5MultimediaWidgets.so.5(Qt_5)(64bit) -
libQt5Network.so.5()(64bit) -
libQt5Network.so.5(Qt_5)(64bit) -
libQt5NetworkAuth.so.5()(64bit) -
libQt5NetworkAuth.so.5(Qt_5)(64bit) -
libQt5Nfc.so.5()(64bit) -
libQt5Nfc.so.5(Qt_5)(64bit) -
libQt5OpenGL.so.5()(64bit) -
libQt5OpenGL.so.5(Qt_5)(64bit) -
libQt5Positioning.so.5()(64bit) -
libQt5Positioning.so.5(Qt_5)(64bit) -
libQt5PrintSupport.so.5()(64bit) -
libQt5PrintSupport.so.5(Qt_5)(64bit) -
libQt5Qml.so.5()(64bit) -
libQt5Qml.so.5(Qt_5)(64bit) -
libQt5Quick.so.5()(64bit) -
libQt5Quick.so.5(Qt_5)(64bit) -
libQt5Quick.so.5(Qt_5.12.3_PRIVATE_API)(64bit) -
libQt5QuickWidgets.so.5()(64bit) -
libQt5QuickWidgets.so.5(Qt_5)(64bit) -
libQt5Sensors.so.5()(64bit) -
libQt5Sensors.so.5(Qt_5)(64bit) -
libQt5SerialPort.so.5()(64bit) -
libQt5SerialPort.so.5(Qt_5)(64bit) -
libQt5Sql.so.5()(64bit) -
libQt5Sql.so.5(Qt_5)(64bit) -
libQt5Svg.so.5()(64bit) -
libQt5Svg.so.5(Qt_5)(64bit) -
libQt5Test.so.5()(64bit) -
libQt5Test.so.5(Qt_5)(64bit) -
libQt5WebChannel.so.5()(64bit) -
libQt5WebChannel.so.5(Qt_5)(64bit) -
libQt5WebKit.so.5()(64bit) -
libQt5WebKit.so.5(Qt_5)(64bit) -
libQt5WebKitWidgets.so.5()(64bit) -
libQt5WebKitWidgets.so.5(Qt_5)(64bit) -
libQt5WebSockets.so.5()(64bit) -
libQt5WebSockets.so.5(Qt_5)(64bit) -
libQt5Widgets.so.5()(64bit) -
libQt5Widgets.so.5(Qt_5)(64bit) -
libQt5X11Extras.so.5()(64bit) -
libQt5X11Extras.so.5(Qt_5)(64bit) -
libQt5Xml.so.5()(64bit) -
libQt5Xml.so.5(Qt_5)(64bit) -
libQt5XmlPatterns.so.5()(64bit) -
libQt5XmlPatterns.so.5(Qt_5)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libdbus-1.so.3()(64bit) -
libdbus-1.so.3(LIBDBUS_1_3)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpython3.6m.so.1.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
python(abi) = 3.6
python3-dbus-python >= 1.2.4
python3-qt5-utils -
python3-sip(api) = 12.6

Provides

Name Value
libpy3.6qt5qmlplugin.so()(64bit) -
python3-PyQt5 = 5.12.1
python3-qt5 = 5.12.1-lp150.130.1
python3-qt5(x86-64) = 5.12.1-lp150.130.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-qt5-5.12.1-lp150.130.1.x86_64.rpm
Source Package python-qt5-5.12.1-lp150.130.1.src.rpm

Install Howto

  1. Add the KDE 5 repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Qt5/openSUSE_Leap_15.0/ kde-5
  2. Install python3-qt5 rpm package:
    # zypper install python3-qt5

Files

Path
/usr/lib/python3.6/site-packages/dbus/mainloop/pyqt5.so
/usr/lib64/python3.6/site-packages/PyQt5/Qt.so
/usr/lib64/python3.6/site-packages/PyQt5/QtBluetooth.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtBluetooth.so
/usr/lib64/python3.6/site-packages/PyQt5/QtCore.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtCore.so
/usr/lib64/python3.6/site-packages/PyQt5/QtDBus.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtDBus.so
/usr/lib64/python3.6/site-packages/PyQt5/QtDesigner.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtDesigner.so
/usr/lib64/python3.6/site-packages/PyQt5/QtGui.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtGui.so
/usr/lib64/python3.6/site-packages/PyQt5/QtHelp.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtHelp.so
/usr/lib64/python3.6/site-packages/PyQt5/QtLocation.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtLocation.so
/usr/lib64/python3.6/site-packages/PyQt5/QtMultimedia.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtMultimedia.so
/usr/lib64/python3.6/site-packages/PyQt5/QtMultimediaWidgets.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtMultimediaWidgets.so
/usr/lib64/python3.6/site-packages/PyQt5/QtNetwork.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtNetwork.so
/usr/lib64/python3.6/site-packages/PyQt5/QtNetworkAuth.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtNetworkAuth.so
/usr/lib64/python3.6/site-packages/PyQt5/QtNfc.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtNfc.so
/usr/lib64/python3.6/site-packages/PyQt5/QtOpenGL.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtOpenGL.so
/usr/lib64/python3.6/site-packages/PyQt5/QtPositioning.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtPositioning.so
/usr/lib64/python3.6/site-packages/PyQt5/QtPrintSupport.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtPrintSupport.so
/usr/lib64/python3.6/site-packages/PyQt5/QtQml.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtQml.so
/usr/lib64/python3.6/site-packages/PyQt5/QtQuick.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtQuick.so
/usr/lib64/python3.6/site-packages/PyQt5/QtQuickWidgets.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtQuickWidgets.so
/usr/lib64/python3.6/site-packages/PyQt5/QtSensors.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtSensors.so
/usr/lib64/python3.6/site-packages/PyQt5/QtSerialPort.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtSerialPort.so
/usr/lib64/python3.6/site-packages/PyQt5/QtSql.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtSql.so
/usr/lib64/python3.6/site-packages/PyQt5/QtSvg.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtSvg.so
/usr/lib64/python3.6/site-packages/PyQt5/QtTest.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtTest.so
/usr/lib64/python3.6/site-packages/PyQt5/QtWebChannel.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtWebChannel.so
/usr/lib64/python3.6/site-packages/PyQt5/QtWebKit.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtWebKit.so
/usr/lib64/python3.6/site-packages/PyQt5/QtWebKitWidgets.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtWebKitWidgets.so
/usr/lib64/python3.6/site-packages/PyQt5/QtWebSockets.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtWebSockets.so
/usr/lib64/python3.6/site-packages/PyQt5/QtWidgets.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtWidgets.so
/usr/lib64/python3.6/site-packages/PyQt5/QtX11Extras.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtX11Extras.so
/usr/lib64/python3.6/site-packages/PyQt5/QtXml.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtXml.so
/usr/lib64/python3.6/site-packages/PyQt5/QtXmlPatterns.pyi
/usr/lib64/python3.6/site-packages/PyQt5/QtXmlPatterns.so
/usr/lib64/python3.6/site-packages/PyQt5/_QOpenGLFunctions_2_0.so
/usr/lib64/python3.6/site-packages/PyQt5/_QOpenGLFunctions_2_1.so
/usr/lib64/python3.6/site-packages/PyQt5/_QOpenGLFunctions_4_1_Core.so
/usr/lib64/python3.6/site-packages/PyQt5/__init__.py
/usr/lib64/python3.6/site-packages/PyQt5/pylupdate.so
/usr/lib64/python3.6/site-packages/PyQt5/pylupdate_main.py
/usr/lib64/python3.6/site-packages/PyQt5/pyrcc.so
/usr/lib64/python3.6/site-packages/PyQt5/pyrcc_main.py
/usr/lib64/python3.6/site-packages/PyQt5-5.12.1.dist-info/INSTALLER
/usr/lib64/python3.6/site-packages/PyQt5-5.12.1.dist-info/METADATA
/usr/lib64/python3.6/site-packages/PyQt5-5.12.1.dist-info/RECORD
/usr/lib64/python3.6/site-packages/PyQt5/uic/__init__.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/driver.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/exceptions.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/icon_cache.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/objcreator.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/properties.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/pyuic.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/uiparser.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Compiler/__init__.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Compiler/compiler.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Compiler/indenter.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Compiler/misc.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Compiler/proxy_metaclass.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Compiler/qobjectcreator.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Compiler/qtproxies.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Loader/__init__.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Loader/loader.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/Loader/qobjectcreator.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v2/__init__.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v2/as_string.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v2/ascii_upper.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v2/proxy_base.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v2/string_io.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v3/__init__.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v3/as_string.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v3/ascii_upper.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v3/proxy_base.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/port_v3/string_io.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/widget-plugins/qaxcontainer.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/widget-plugins/qscintilla.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/widget-plugins/qtcharts.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/widget-plugins/qtprintsupport.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/widget-plugins/qtquickwidgets.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/widget-plugins/qtwebenginewidgets.py
/usr/lib64/python3.6/site-packages/PyQt5/uic/widget-plugins/qtwebkit.py
/usr/lib64/qt5/plugins/PyQt5/libpy3.6qt5qmlplugin.so
/usr/share/doc/packages/python3-qt5/ChangeLog
/usr/share/doc/packages/python3-qt5/NEWS
/usr/share/doc/packages/python3-qt5/README
/usr/share/licenses/python3-qt5/LICENSE

Changelog

2019-04-18 - Jan Engelhardt <jengelh@inai.de>
- Trim name repetition from summary.
2019-04-17 - Todd R <toddrme2178@gmail.com>
- Package .dist-info directory.  The bugs with it have been fixed
and some packages require it in order to properly detect that
pyqt5 is installed.
2019-04-06 - Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.12.1
Fixed QIcon(QIconEngine) to reflect that the engine is explicitly
shared between every copy of the icon.
- Prepare update-timeline.patch for Qt 5.13.0
2019-02-11 - Adrian Schröter <adrian@suse.de>
- update to final 5.12 version
* Support for Qt 5.12
* Details at https://www.riverbankcomputing.com/static/Downloads/PyQt5/ChangeLog
- fix-sip-detection.patch is obsolete
2019-01-10 - Adrian Schröter <adrian@suse.de>
- update to 5.12 development snapshot
2018-11-14 - Antonio Larrosa <alarrosa@suse.com>
- Do not build Qt5NetworkAuth support in SLE, which doesn't have the
libqt5-qtnetworkauth package
2018-11-08 - Todd R <toddrme2178@gmail.com>
- python-enum34 is also required at runtime.
2018-10-22 - Christophe Giboudeaux <christophe@krop.fr>
- Make sure python-enum34 is installed when building packages
depending on python-qt5.
2018-10-21 - Christophe Giboudeaux <christophe@krop.fr>
- Add fix-sip-detection.patch. Picked from the Fedora package
2018-09-17 - Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.11.3
* Fixed a build problem with Python v2.
* Removed the checks for PyQt5.sip
* Fix issues with out of source builds

See Also

Package Description
python3-qt5-devel-5.12.1-lp150.130.1.x86_64.rpm PyQt - devel part of python bindings for Qt 5
python3-qtcharts-qt5-5.12-lp150.6.3.x86_64.rpm Python bindings for the Qt5 Charts library
python3-qtdatavis3d-qt5-5.12-lp150.8.3.x86_64.rpm Python bindings for the Qt5 Data Visualization library
python3-qtwebengine-qt5-5.12.1-lp150.6.3.x86_64.rpm Python bindings for the Qt5 WebEngine framework
python3-sip-4.19.16-lp150.33.1.x86_64.rpm SIP tool to use python sip bindings
python3-sip-devel-4.19.16-lp150.33.1.x86_64.rpm SIP tool to create python bindings
qbs-1.13.0-lp150.12.1.x86_64.rpm Modern build tool for software projects
qbs-devel-1.13.0-lp150.12.1.x86_64.rpm Development files for qbs
qoauth-qt5-devel-2.0.0-lp150.13.6.x86_64.rpm Development files for QOAuth
qscintilla2_qt5-2.11.1-lp150.39.2.x86_64.rpm C++ Editor Class Library
qt5ct-0.37-lp150.31.4.x86_64.rpm Qt5 Configuration Tool
qtkeychain-qt5-devel-0.9.1-lp150.24.4.x86_64.rpm Development files for the qtkeychain library
quazip-devel-0.7.6-lp150.3.2.x86_64.rpm Development files for quazip
quazip-doc-0.7.6-lp150.3.2.x86_64.rpm Documentation for quazip, a C++ wrapper for ZIP/UNZIP
signon-plugins-8.59-lp150.3.5.x86_64.rpm Plugins for the Single Sign On Framework
Advertisement
Advertisement